// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.
package com.cloud.api;

public class ApiConstants {
    public static final String ACCOUNT = "account";
    public static final String ACCOUNTS = "accounts";
    public static final String ACCOUNT_TYPE = "accounttype";
    public static final String ACCOUNT_ID = "accountid";
    public static final String ALGORITHM = "algorithm";
    public static final String ALLOCATED_ONLY = "allocatedonly";
    public static final String API_KEY = "userapikey";
    public static final String APPLIED = "applied";
    public static final String AVAILABLE = "available";
    public static final String BITS = "bits";
    public static final String BOOTABLE = "bootable";
    public static final String BIND_DN = "binddn";
    public static final String BIND_PASSWORD = "bindpass";
    public static final String CATEGORY = "category";
    public static final String CERTIFICATE = "certificate";    
    public static final String PRIVATE_KEY = "privatekey";    
    public static final String DOMAIN_SUFFIX = "domainsuffix";    
    public static final String DNS_SEARCH_ORDER = "dnssearchorder";    
    public static final String CIDR = "cidr";
    public static final String CIDR_LIST = "cidrlist";
    public static final String CLEANUP = "cleanup";
    public static final String CLUSTER_ID = "clusterid";
    public static final String CLUSTER_NAME = "clustername";
    public static final String CLUSTER_TYPE = "clustertype";
    public static final String COMPONENT = "component";
    public static final String CPU_NUMBER = "cpunumber";
    public static final String CPU_SPEED = "cpuspeed";
    public static final String CREATED = "created";
    public static final String CUSTOMIZED = "customized";
    public static final String DESCRIPTION = "description";
    public static final String DESTINATION_ZONE_ID = "destzoneid";
    public static final String DETAILS = "details";
    public static final String DEVICE_ID = "deviceid";
    public static final String DISK_OFFERING_ID = "diskofferingid";
    public static final String DISK_SIZE = "disksize";
    public static final String DISPLAY_NAME = "displayname";
    public static final String DISPLAY_TEXT = "displaytext";
    public static final String DNS1 = "dns1";
    public static final String DNS2 = "dns2";
    public static final String DOMAIN = "domain";
    public static final String DOMAIN_ID = "domainid";
    public static final String DURATION = "duration";
    public static final String EMAIL = "email";
    public static final String END_DATE = "enddate";
    public static final String END_IP = "endip";
    public static final String END_PORT = "endport";
    public static final String ENTRY_TIME = "entrytime";
    public static final String FETCH_LATEST = "fetchlatest";
    public static final String FIRSTNAME = "firstname";
    public static final String FORCED = "forced";
    public static final String FORCED_DESTROY_LOCAL_STORAGE = "forcedestroylocalstorage";
    public static final String FORMAT = "format";
    public static final String FOR_VIRTUAL_NETWORK = "forvirtualnetwork";
    public static final String GATEWAY = "gateway";
    public static final String GROUP = "group";
    public static final String GROUP_ID = "groupid";
    public static final String GUEST_CIDR_ADDRESS = "guestcidraddress";
    public static final String HA_ENABLE = "haenable";
    public static final String HOST_ID = "hostid";
    public static final String HOST_NAME = "hostname";
    public static final String HYPERVISOR = "hypervisor";
    public static final String INLINE = "inline";
    public static final String INSTANCE = "instance";
    public static final String ICMP_CODE = "icmpcode";
    public static final String ICMP_TYPE = "icmptype";
    public static final String ID = "id";
    public static final String IDS = "ids";
    public static final String INTERNAL_DNS1 = "internaldns1";
    public static final String INTERNAL_DNS2 = "internaldns2";
    public static final String INTERVAL_TYPE = "intervaltype";
    public static final String IP_ADDRESS = "ipaddress";
    public static final String IP_ADDRESS_ID = "ipaddressid";
    public static final String IP_AVAILABLE = "ipavailable";
    public static final String IP_LIMIT = "iplimit";
    public static final String IP_TOTAL = "iptotal";
    public static final String IS_CLEANUP_REQUIRED = "iscleanuprequired";
    public static final String IS_EXTRACTABLE = "isextractable";
    public static final String IS_FEATURED = "isfeatured";
    public static final String IS_PUBLIC = "ispublic";
    public static final String IS_READY = "isready";
    public static final String IS_RECURSIVE = "isrecursive";
    public static final String ISO_FILTER = "isofilter";
    public static final String ISO_GUEST_OS_NONE = "None";
    public static final String JOB_ID = "jobid";
    public static final String JOB_STATUS = "jobstatus";
    public static final String LASTNAME = "lastname";
    public static final String LEVEL = "level";
    public static final String LIMIT_CPU_USE = "limitcpuuse";    
    public static final String LOCK = "lock";
    public static final String LUN = "lun";
    public static final String LBID = "lbruleid";
    public static final String MAX = "max";
    public static final String MAX_SNAPS = "maxsnaps";
    public static final String MEMORY = "memory";
    public static final String MODE = "mode";
    public static final String NAME = "name";
    public static final String METHOD_NAME = "methodname";
    public static final String NETWORK_DOMAIN = "networkdomain";
    public static final String NETMASK = "netmask";
    public static final String NEW_NAME = "newname";
    public static final String NUM_RETRIES = "numretries";
    public static final String OFFER_HA = "offerha";
    public static final String IS_SYSTEM_OFFERING = "issystem";
    public static final String IS_DEFAULT_USE = "defaultuse";
    public static final String OP = "op";
    public static final String OS_CATEGORY_ID = "oscategoryid";
    public static final String OS_TYPE_ID = "ostypeid";
    public static final String PARENT_DOMAIN_ID = "parentdomainid";
    public static final String PASSWORD = "password";
    public static final String NEW_PASSWORD = "new_password";
    public static final String PASSWORD_ENABLED = "passwordenabled";
    public static final String SSHKEY_ENABLED = "sshkeyenabled";
    public static final String PATH = "path";
    public static final String POD_ID = "podid";
    public static final String POD_IDS = "podids";
    public static final String POLICY_ID = "policyid";
    public static final String PORT = "port";
    public static final String PORTAL = "portal";
    public static final String PORT_FORWARDING_SERVICE_ID = "portforwardingserviceid";
    public static final String PRIVATE_INTERFACE = "privateinterface";
    public static final String PRIVATE_IP = "privateip";    
    public static final String PRIVATE_PORT = "privateport";
    public static final String PRIVATE_START_PORT = "privateport";    
    public static final String PRIVATE_END_PORT = "privateendport";
    public static final String PRIVATE_ZONE = "privatezone";
    public static final String PROTOCOL = "protocol";
    public static final String PUBLIC_INTERFACE = "publicinterface";
    public static final String PUBLIC_IP_ID = "publicipid";
    public static final String PUBLIC_IP = "publicip";
    public static final String PUBLIC_PORT = "publicport";
    public static final String PUBLIC_START_PORT = "publicport";    
    public static final String PUBLIC_END_PORT = "publicendport";
    public static final String PUBLIC_ZONE = "publiczone";
    public static final String RECEIVED_BYTES = "receivedbytes";
    public static final String REQUIRES_HVM = "requireshvm";
    public static final String RESOURCE_TYPE = "resourcetype";
    public static final String QUERY_FILTER = "queryfilter";
    public static final String SCHEDULE = "schedule";
    public static final String SCOPE = "scope";
    public static final String SECRET_KEY = "usersecretkey";
    public static final String KEY = "key";
    public static final String SEARCH_BASE = "searchbase";
    public static final String SECURITY_GROUP_IDS = "securitygroupids";
    public static final String SECURITY_GROUP_NAMES = "securitygroupnames";
    public static final String SECURITY_GROUP_NAME = "securitygroupname";
    public static final String SECURITY_GROUP_ID = "securitygroupid";
    public static final String SENT = "sent";
    public static final String SENT_BYTES = "sentbytes";
    public static final String SERVICE_OFFERING_ID = "serviceofferingid";
    public static final String SHOW_CAPACITIES = "showcapacities";
    public static final String SIZE = "size";
    public static final String SNAPSHOT_ID = "snapshotid";
    public static final String SNAPSHOT_POLICY_ID = "snapshotpolicyid";
    public static final String SNAPSHOT_TYPE = "snapshottype";
    public static final String SOURCE_ZONE_ID = "sourcezoneid";    
    public static final String START_DATE = "startdate";
    public static final String START_IP = "startip";
    public static final String START_PORT = "startport";
    public static final String STATE = "state";
    public static final String STATUS = "status";
    public static final String STORAGE_TYPE = "storagetype";
    public static final String SYSTEM_VM_TYPE = "systemvmtype";
    public static final String TAGS = "tags";
    public static final String TARGET_IQN = "targetiqn";
    public static final String TEMPLATE_FILTER = "templatefilter";
    public static final String TEMPLATE_ID = "templateid";
    public static final String ISO_ID = "isoid";
    public static final String TIMEOUT = "timeout";
    public static final String TIMEZONE = "timezone";
    public static final String TYPE = "type";
    public static final String TRUST_STORE = "truststore";
    public static final String TRUST_STORE_PASSWORD = "truststorepass";
    public static final String URL = "url";
    public static final String USAGE_INTERFACE = "usageinterface";
    public static final String USER_DATA = "userdata";
    public static final String USER_ID = "userid";
    public static final String USE_SSL = "ssl";
    public static final String USERNAME = "username";
    public static final String USER_SECURITY_GROUP_LIST = "usersecuritygrouplist";
    public static final String USE_VIRTUAL_NETWORK = "usevirtualnetwork";
    public static final String VALUE = "value";
    public static final String VIRTUAL_MACHINE_ID = "virtualmachineid";
    public static final String VIRTUAL_MACHINE_IDS = "virtualmachineids";
    public static final String VLAN = "vlan";
    public static final String VLAN_ID = "vlanid";
    public static final String VM_AVAILABLE = "vmavailable";
    public static final String VM_LIMIT = "vmlimit";
    public static final String VM_TOTAL = "vmtotal";
    public static final String VNET = "vnet";
    public static final String VOLUME_ID = "volumeid";
    public static final String ZONE_ID = "zoneid";
    public static final String ZONE_NAME = "zonename";
    public static final String NETWORK_TYPE = "networktype";
    public static final String PAGE = "page";
    public static final String PAGE_SIZE = "pagesize";
    public static final String COUNT = "count";
    public static final String TRAFFIC_TYPE = "traffictype";
    public static final String NETWORK_OFFERING_ID = "networkofferingid";
    public static final String NETWORK_IDS = "networkids";
    public static final String NETWORK_ID = "networkid";
    public static final String SPECIFY_VLAN = "specifyvlan";
    public static final String IS_DEFAULT = "isdefault";
    public static final String IS_SYSTEM = "issystem";
    public static final String AVAILABILITY = "availability";
    public static final String NETWORKRATE = "networkrate";
    public static final String HOST_TAGS = "hosttags";
    public static final String SSH_KEYPAIR = "keypair";
    public static final String HOST_CPU_CAPACITY = "hostcpucapacity";
    public static final String HOST_CPU_NUM = "hostcpunum";
    public static final String HOST_MEM_CAPACITY = "hostmemcapacity";
    public static final String HOST_MAC = "hostmac";
    public static final String HOST_TAG = "hosttag";
    public static final String PXE_SERVER_TYPE = "pxeservertype";
    public static final String LINMIN_USERNAME = "linminusername";
    public static final String LINMIN_PASSWORD = "linminpassword";
    public static final String LINMIN_APID = "linminapid";
    public static final String DHCP_SERVER_TYPE = "dhcpservertype";
    public static final String LINK_LOCAL_IP = "linklocalip";
    public static final String LINK_LOCAL_MAC_ADDRESS = "linklocalmacaddress";
    public static final String LINK_LOCAL_MAC_NETMASK = "linklocalnetmask";
    public static final String LINK_LOCAL_NETWORK_ID = "linklocalnetworkid";
    public static final String PRIVATE_MAC_ADDRESS = "privatemacaddress";
    public static final String PRIVATE_NETMASK = "privatenetmask";
    public static final String PRIVATE_NETWORK_ID = "privatenetworkid";
    public static final String ALLOCATION_STATE = "allocationstate";
    public static final String MANAGED_STATE = "managedstate";
    public static final String STORAGE_ID="storageid";
    public static final String PING_STORAGE_SERVER_IP = "pingstorageserverip";
    public static final String PING_DIR = "pingdir";
    public static final String TFTP_DIR = "tftpdir";
    public static final String PING_CIFS_USERNAME = "pingcifsusername";
    public static final String PING_CIFS_PASSWORD = "pingcifspassword";
    public static final String CHECKSUM="checksum";
    public static final String NETWORK_DEVICE_TYPE = "networkdevicetype";
    public static final String NETWORK_DEVICE_PARAMETER_LIST = "networkdeviceparameterlist";
    public static final String ZONE_TOKEN = "zonetoken";
    public static final String DHCP_PROVIDER = "dhcpprovider";
    public static final String RESULT = "success";
    public static final String LUN_ID = "lunId";
    public static final String IQN = "iqn";
    public static final String AGGREGATE_NAME = "aggregatename";
    public static final String POOL_NAME = "poolname";
    public static final String VOLUME_NAME = "volumename";
    public static final String SNAPSHOT_POLICY = "snapshotpolicy";
    public static final String SNAPSHOT_RESERVATION = "snapshotreservation";
    public static final String IP_NETWORK_LIST = "iptonetworklist";
    public static final String PARAM_LIST = "param";
    public static final String FOR_LOAD_BALANCING = "forloadbalancing";
    public static final String KEYBOARD="keyboard";
    public static final String OPEN_FIREWALL="openfirewall";
    public static final String TEMPLATE_TAG = "templatetag";
    public static final String HYPERVISOR_VERSION = "hypervisorversion";
    public static final String MAX_GUESTS_LIMIT = "maxguestslimit";
    public static final String PROJECT_ID = "projectid";
    public static final String PROJECT_IDS = "projectids";
    public static final String PROJECT = "project";
    public static final String ROLE = "role";
    public static final String USER = "user";
    public static final String ACTIVE_ONLY = "activeonly";
    public static final String TOKEN = "token";
    public static final String ACCEPT = "accept";
    public static final String SORT_KEY = "sortkey";
    public static final String ACCOUNT_DETAILS = "accountdetails";
    public static final String SERVICE_PROVIDER_LIST = "serviceproviderlist";
    public static final String SERVICE_CAPABILITY_LIST = "servicecapabilitylist";
    public static final String CAN_CHOOSE_SERVICE_CAPABILITY = "canchooseservicecapability";
    public static final String PROVIDER = "provider";
    public static final String NETWORK_SPEED = "networkspeed";
    public static final String BROADCAST_DOMAIN_RANGE = "broadcastdomainrange";
    public static final String ISOLATION_METHODS = "isolationmethods";
    public static final String PHYSICAL_NETWORK_ID = "physicalnetworkid";
    public static final String DEST_PHYSICAL_NETWORK_ID = "destinationphysicalnetworkid";
    public static final String ENABLED = "enabled";
    public static final String SERVICE_NAME = "servicename";
    public static final String DHCP_RANGE = "dhcprange";
    public static final String UUID = "uuid";
    public static final String SECURITY_GROUP_EANBLED = "securitygroupenabled";
    public static final String LOCAL_STORAGE_ENABLED = "localstorageenabled";
    public static final String GUEST_IP_TYPE = "guestiptype";
    public static final String XEN_NETWORK_LABEL = "xennetworklabel";
    public static final String KVM_NETWORK_LABEL = "kvmnetworklabel";
    public static final String VMWARE_NETWORK_LABEL = "vmwarenetworklabel";
    public static final String NETWORK_SERVICE_PROVIDER_ID = "nspid";
    public static final String SERVICE_LIST = "servicelist";
    public static final String CAN_ENABLE_INDIVIDUAL_SERVICE = "canenableindividualservice";
    public static final String SUPPORTED_SERVICES = "supportedservices";
    public static final String NSP_ID= "nspid";
    public static final String ACL_TYPE= "acltype";
    public static final String SUBDOMAIN_ACCESS = "subdomainaccess";
    public static final String LOAD_BALANCER_DEVICE_ID = "lbdeviceid";
    public static final String LOAD_BALANCER_DEVICE_NAME = "lbdevicename";
    public static final String LOAD_BALANCER_DEVICE_STATE = "lbdevicestate";
    public static final String LOAD_BALANCER_DEVICE_CAPACITY = "lbdevicecapacity";
    public static final String LOAD_BALANCER_DEVICE_DEDICATED = "lbdevicededicated";
    public static final String FIREWALL_DEVICE_ID = "fwdeviceid";
    public static final String FIREWALL_DEVICE_NAME = "fwdevicename";
    public static final String FIREWALL_DEVICE_STATE = "fwdevicestate";
    public static final String FIREWALL_DEVICE_CAPACITY = "fwdevicecapacity";
    public static final String FIREWALL_DEVICE_DEDICATED = "fwdevicededicated";
    public static final String SERVICE = "service";
    public static final String ASSOCIATED_NETWORK_ID = "associatednetworkid";
    public static final String ASSOCIATED_NETWORK_NAME = "associatednetworkname";
    public static final String SOURCE_NAT_SUPPORTED = "sourcenatsupported";
    public static final String RESOURCE_STATE = "resourcestate";
    public static final String PROJECT_INVITE_REQUIRED = "projectinviterequired";
    public static final String RESTART_REQUIRED = "restartrequired";
    public static final String ALLOW_USER_CREATE_PROJECTS = "allowusercreateprojects";
    public static final String CONSERVE_MODE = "conservemode";
    public static final String TRAFFIC_TYPE_IMPLEMENTOR = "traffictypeimplementor";
    public static final String KEYWORD = "keyword";
    public static final String LIST_ALL = "listall";
    public static final String SPECIFY_IP_RANGES = "specifyipranges";
    public static final String IS_SOURCE_NAT = "issourcenat";
    public static final String IS_STATIC_NAT = "isstaticnat";
    public static final String SORT_BY = "sortby";
    public static final String CHANGE_CIDR = "changecidr";
    public static final String PURPOSE = "purpose";
    public static final String IS_TAGGED = "istagged";
    public static final String INSTANCE_NAME = "instancename";
    public static final String START_VM = "startvm";
    public static final String HA_HOST = "hahost";
    public static final String CUSTOM_DISK_OFF_MAX_SIZE = "customdiskofferingmaxsize";
    public static final String DEFAULT_ZONE_ID = "defaultzoneid";
    public static final String GUID = "guid";

    public static final String EXTERNAL_SWITCH_MGMT_DEVICE_ID = "vsmdeviceid";
    public static final String EXTERNAL_SWITCH_MGMT_DEVICE_NAME = "vsmdevicename";
    public static final String EXTERNAL_SWITCH_MGMT_DEVICE_STATE = "vsmdevicestate";
    // Would we need to have a capacity field for Cisco N1KV VSM? Max hosts managed by it perhaps? May remove this later.
    public static final String EXTERNAL_SWITCH_MGMT_DEVICE_CAPACITY = "vsmdevicecapacity";
    public static final String CISCO_NEXUS_VSM_NAME = "vsmname";
    public static final String VSM_USERNAME = "vsmusername";
    public static final String VSM_PASSWORD = "vsmpassword";
    public static final String VSM_IPADDRESS = "vsmipaddress";
    public static final String VSM_MGMT_VLAN_ID = "vsmmgmtvlanid";
    public static final String VSM_PKT_VLAN_ID = "vsmpktvlanid";
    public static final String VSM_CTRL_VLAN_ID = "vsmctrlvlanid";
    public static final String VSM_STORAGE_VLAN_ID = "vsmstoragevlanid";
    public static final String VSM_DOMAIN_ID = "vsmdomainid";
    public static final String VSM_CONFIG_MODE = "vsmconfigmode";
    public static final String VSM_CONFIG_STATE = "vsmconfigstate";
    public static final String VSM_DEVICE_STATE = "vsmdevicestate";
    public static final String ADD_VSM_FLAG = "addvsmflag";
    public static final String VPC_OFF_ID = "vpcofferingid";
    public static final String NETWORK = "network";
    public static final String VPC_ID = "vpcid";
    public static final String GATEWAY_ID = "gatewayid";
    public static final String CAN_USE_FOR_DEPLOY = "canusefordeploy";
    public static final String RESOURCE_IDS = "resourceids";
    public static final String RESOURCE_ID = "resourceid";
    public static final String CUSTOMER = "customer";
    public static final String S2S_VPN_GATEWAY_ID = "s2svpngatewayid";
    public static final String S2S_CUSTOMER_GATEWAY_ID = "s2scustomergatewayid";
    public static final String IPSEC_PSK = "ipsecpsk";
    public static final String GUEST_IP = "guestip";
    public static final String REMOVED = "removed";
    public static final String IKE_POLICY = "ikepolicy";
    public static final String ESP_POLICY = "esppolicy";
    public static final String IKE_LIFETIME = "ikelifetime";
    public static final String ESP_LIFETIME = "esplifetime";
    public static final String DPD = "dpd";
    public static final String FOR_VPC = "forvpc";
    public static final String NICIRA_NVP_DEVICE_ID = "nvpdeviceid";
    public static final String NICIRA_NVP_TRANSPORT_ZONE_UUID = "transportzoneuuid";
    public static final String NICIRA_NVP_DEVICE_NAME = "niciradevicename";
    

    public enum HostDetails {
        all, capacity, events, stats, min;
    }
    
    public enum VMDetails {
        all, group, nics, stats, secgrp, tmpl, servoff, iso, volume, min;
    }
    
    public enum LDAPParams {
        hostname, port, usessl, queryfilter, searchbase, dn, passwd, truststore, truststorepass;
        
        @Override
        public String toString(){
            return "ldap." + name();
        }
    }


}
