// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.
package com.cloud.stack.models;

public class ApiConstants {
    public static final String ACCOUNT = "account";
    public static final String ACCOUNT_ID = "accountid";
    public static final String ACCOUNT_TYPE = "accounttype";
    public static final String ACCOUNTS = "accounts";
    public static final String ALGORITHM = "algorithm";
    public static final String ALLOCATED = "allocated";
    public static final String ALLOCATED_ONLY = "allocatedonly";
    public static final String ALLOCATION_STATE = "allocationstate";
    public static final String API_KEY = "apikey";
    public static final String APPLIED = "applied";
    public static final String ASSIGN_TO_LOAD_BALANCER_RULE = "assignToLoadBalancerRule";
    public static final String ASSIGN_TO_LOAD_BALANCER_RULE_RESPONSE = "assigntoloadbalancerruleresponse";
    public static final String ASSOCIATE_IP_ADDRESS = "associateIpAddress";
    public static final String ASSOCIATE_IP_ADDRESS_RESPONSE = "associateipaddressresponse";
    public static final String ASSOCIATED_NETWORK_ID = "associatednetworkid";
    public static final String ATTACH_ISO = "attachIso";
    public static final String ATTACH_ISO_RESPONSE = "attachisoresponse";
    public static final String ATTACH_VOLUME = "attachVolume";
    public static final String ATTACH_VOLUME_RESPONSE = "attachvolumeresponse";
    public static final String ATTACHED = "attached";
    public static final String AUTHORIZE_SECURITY_GROUP_INGRESS = "authorizeSecurityGroupIngress";
    public static final String AUTHORIZE_SECURITY_GROUP_INGRESS_RESPONSE = "authorizesecuritygroupingressresponse";
    public static final String AVAILABILITY = "availability";
    public static final String AVAILABLE = "available";
    public static final String BITS = "bits";
    public static final String BOOTABLE = "bootable";
    public static final String BROADCAST_DOMAIN_TYPE = "broadcastdomaintype";
    public static final String BROADCAST_URI = "broadcasturi";
    public static final String CAPABILITY = "capability";
    public static final String CATEGORY = "category";
    public static final String CERTIFICATE = "certificate";
    public static final String CHANGE_SERVICE_FOR_VIRTUAL_MACHINE = "changeServiceForVirtualMachine";
    public static final String CHANGE_SERVICE_FOR_VIRTUAL_MACHINE_RESPONSE = "changeserviceforvirtualmachineresponse";
    public static final String CHECKSUM="checksum";
    public static final String CIDR = "cidr";
    public static final String CIDR_LIST = "cidrlist";
    public static final String CLEANUP = "cleanup";
    public static final String CLOUD_IDENTIFIER = "cloudidentifier";
    public static final String CLOUD_STACK_VERSION = "cloudstackversion";
    public static final String CLUSTER_ID = "clusterid";
    public static final String CLUSTER_NAME = "clustername";
    public static final String CLUSTER_TYPE = "clustertype";
    public static final String COMPONENT = "component";
    public static final String COPY_ISO = "copyIso";
    public static final String COPY_ISO_RESPONSE = "copyisoresponse";
    public static final String COPY_TEMPLATE = "copyTemplate";
    public static final String COPY_TEMPLATE_RESPONSE = "copytemplateresponse";
    public static final String CPU_NUMBER = "cpunumber";
    public static final String CPU_SPEED = "cpuspeed";
    public static final String CPU_USED = "cpuused";
    public static final String CREATE_INSTANCE_GROUP = "createInstanceGroup";
    public static final String CREATE_INSTANCE_GROUP_RESPONSE = "createinstancegroupresponse";
    public static final String CREATE_IP_FORWARDING_RULE = "createIpForwardingRule";
    public static final String CREATE_IP_FORWARDING_RULE_RESPONSE = "createipforwardingruleresponse";
    public static final String CREATE_LOAD_BALANCER_RULE = "createLoadBalancerRule";
    public static final String CREATE_LOAD_BALANCER_RULE_RESPONSE = "createloadbalancerruleresponse";
    public static final String CREATE_NETWORK = "createNetwork";
    public static final String CREATE_NETWORK_RESPONSE = "createnetworkresponse";
    public static final String CREATE_PORT_FORWARDING_RULE = "createPortForwardingRule";
    public static final String CREATE_PORT_FORWARDING_RULE_RESPONSE = "createportforwardingruleresponse";
    public static final String CREATE_SECURITY_GROUP = "createSecurityGroup";
    public static final String CREATE_SECURITY_GROUP_RESPONSE = "createsecuritygroupresponse";
    public static final String CREATE_SNAPSHOT = "createSnapshot";
    public static final String CREATE_SNAPSHOT_POLICY = "createSnapshotPolicy";
    public static final String CREATE_SNAPSHOT_POLICY_RESPONSE = "createsnapshotpolicyresponse";
    public static final String CREATE_SNAPSHOT_RESPONSE = "createsnapshotresponse";
    public static final String CREATE_SSH_KEY_PAIR = "createSSHKeyPair";
    public static final String CREATE_SSH_KEY_PAIR_RESPONSE = "createsshkeypairresponse";
    public static final String CREATE_TAGS = "createTags";
    public static final String CREATE_TAGS_RESPONSE = "createtagsresponse";
    public static final String CREATE_TEMPLATE = "createTemplate";
    public static final String CREATE_TEMPLATE_RESPONSE = "createtemplateresponse";
    public static final String CREATE_VOLUME = "createVolume";
    public static final String CREATE_VOLUME_RESPONSE = "createvolumeresponse";
    public static final String CREATED = "created";
    public static final String CROSS_ZONES = "crosszones";
    public static final String CUSTOMIZED = "customized";
    public static final String DEFAULT_USE = "defaultuse";
    public static final String DEFAULT_ZONE_ID= "defaultzoneid";
    public static final String DELETE_INSTANCE_GROUP = "deleteInstanceGroup";
    public static final String DELETE_INSTANCE_GROUP_RESPONSE = "deleteinstancegroupresponse";
    public static final String DELETE_IP_FORWARDING_RULE = "deleteIpForwardingRule";
    public static final String DELETE_IP_FORWARDING_RULE_RESPONSE = "deleteipforwardingruleresponse";
    public static final String DELETE_ISO = "deleteIso";
    public static final String DELETE_ISO_RESPONSE = "deleteisoresponse";
    public static final String DELETE_LOAD_BALANCER_RULE = "deleteLoadBalancerRule";
    public static final String DELETE_LOAD_BALANCER_RULE_RESPONSE = "deleteloadbalancerruleresponse";
    public static final String DELETE_NETWORK = "deleteNetwork";
    public static final String DELETE_NETWORK_RESPONSE = "deletenetworkresponse";
    public static final String DELETE_PORT_FORWARDING_RULE = "deletePortForwardingRule";
    public static final String DELETE_PORT_FORWARDING_RULE_RESPONSE = "deleteportforwardingruleresponse";
    public static final String DELETE_SECURITY_GROUP = "deleteSecurityGroup";
    public static final String DELETE_SECURITY_GROUP_RESPONSE = "deletesecuritygroupresponse";
    public static final String DELETE_SNAPSHOT = "deleteSnapshot";
    public static final String DELETE_SNAPSHOT_POLICIES = "deleteSnapshotPolicies";
    public static final String DELETE_SNAPSHOT_POLICIES_RESPONSE = "deletesnapshotpoliciesresponse";
    public static final String DELETE_SNAPSHOT_RESPONSE = "deletesnapshotresponse";
    public static final String DELETE_SSH_KEY_PAIR = "deleteSSHKeyPair";
    public static final String DELETE_SSH_KEY_PAIR_RESPONSE = "deletesshkeypairresponse";
    public static final String DELETE_TAGS = "deleteTags";
    public static final String DELETE_TAGS_RESPONSE = "deletetagsresponse";
    public static final String DELETE_TEMPLATE = "deleteTemplate";
    public static final String DELETE_TEMPLATE_RESPONSE = "deletetemplateresponse";
    public static final String DELETE_VOLUME = "deleteVolume";
    public static final String DELETE_VOLUME_RESPONSE = "deletevolumeresponse";
    public static final String DEPLOY_VIRTUAL_MACHINE = "deployVirtualMachine";
    public static final String DEPLOY_VIRTUAL_MACHINE_RESPONSE = "deployvirtualmachineresponse";
    public static final String DESCRIPTION = "description";
    public static final String DESTINATION_ZONE_ID = "destzoneid";
    public static final String DESTROY_VIRTUAL_MACHINE = "destroyVirtualMachine";
    public static final String DESTROY_VIRTUAL_MACHINE_RESPONSE = "destroyvirtualmachineresponse";
    public static final String DESTROYED = "destroyed";
    public static final String DETACH_ISO = "detachIso";
    public static final String DETACH_ISO_RESPONSE = "detachisoresponse";
    public static final String DETACH_VOLUME = "detachVolume";
    public static final String DETACH_VOLUME_RESPONSE = "detachvolumeresponse";
    public static final String DETAILS = "details";
    public static final String DEVICE_ID = "deviceid";
    public static final String DHCP_PROVIDER = "dhcpprovider";
    public static final String DHCP_SERVER_TYPE = "dhcpservertype";
    public static final String DISABLE_STATIC_NAT = "disableStaticNat";
    public static final String DISABLE_STATIC_NAT_RESPONSE = "disablestaticnatresponse";
    public static final String DISASSOCIATE_IP_ADDRESS = "disassociateIpAddress";
    public static final String DISASSOCIATE_IP_ADDRESS_RESPONSE = "disassociateipaddressresponse";
    public static final String DISK_OFFERING = "diskoffering";
    public static final String DISK_OFFERING_DISPLAY_TEXT = "diskofferingdisplaytext";
    public static final String DISK_OFFERING_ID = "diskofferingid";
    public static final String DISK_OFFERING_NAME = "diskofferingname";
    public static final String DISK_SIZE = "disksize";
    public static final String DISPLAY_NAME = "displayname";
    public static final String DISPLAY_TEXT = "displaytext";
    public static final String DNS1 = "dns1";
    public static final String DNS2 = "dns2";
    public static final String DOMAIN = "domain";
    public static final String DOMAIN_ID = "domainid";
    public static final String DURATION = "duration";
    public static final String EMAIL = "email";
    public static final String ENABLE_STATIC_NAT = "enableStaticNat";
    public static final String ENABLE_STATIC_NAT_RESPONSE = "enablestaticnatresponse";
    public static final String ENABLED = "enabled";
    public static final String ENCRYPTED_PASSWORD = "encryptedpassword";
    public static final String END_DATE = "enddate";
    public static final String END_IP = "endip";
    public static final String END_PORT = "endport";
    public static final String ENTRY_TIME = "entrytime";
    public static final String EVENT = "event";
    public static final String EVENT_TYPE = "eventtype";
    public static final String EXTRACT_ID = "extractid";
    public static final String EXTRACT_ISO = "extractIso";
    public static final String EXTRACT_ISO_RESPONSE = "extractisoresponse";
    public static final String EXTRACT_MODE = "extractmode";
    public static final String EXTRACT_TEMPLATE = "extractTemplate";
    public static final String EXTRACT_TEMPLATE_RESPONSE = "extracttemplateresponse";
    public static final String EXTRACT_VOLUME = "extractVolume";
    public static final String EXTRACT_VOLUME_RESPONSE = "extractvolumeresponse";
    public static final String FINGERPRINT = "fingerprint";
    public static final String FIRSTNAME = "firstname";
    public static final String FOR_VIRTUAL_NETWORK = "forvirtualnetwork";
    public static final String FORCED = "forced";
    public static final String FORMAT = "format";
    public static final String GATEWAY = "gateway";
    public static final String GET_CLOUD_IDENTIFIER = "getCloudIdentifier";
    public static final String GET_CLOUD_IDENTIFIER_RESPONSE = "getcloudidentifierresponse";
    public static final String GET_VM_PASSWORD = "getVMPassword";
    public static final String GET_VM_PASSWORD_RESPONSE = "getvmpasswordresponse";
    public static final String GROUP = "group";
    public static final String GROUP_ID = "groupid";
    public static final String GUEST_CIDR_ADDRESS = "guestcidraddress";
    public static final String GUEST_IP_TYPE = "guestiptype";
    public static final String GUEST_OS_ID = "guestosid";
    public static final String HA_ENABLE = "haenable";
    public static final String HOST_CPU_CAPACITY = "hostcpucapacity";
    public static final String HOST_CPU_NUM = "hostcpunum";
    public static final String HOST_ID = "hostid";
    public static final String HOST_MAC = "hostmac";
    public static final String HOST_MEM_CAPACITY = "hostmemcapacity";
    public static final String HOST_NAME = "hostname";
    public static final String HOST_TAG = "hosttag";
    public static final String HOST_TAGS = "hosttags";
    public static final String HYPERVISOR = "hypervisor";
    public static final String ICMP_CODE = "icmpcode";
    public static final String ICMP_TYPE = "icmptype";
    public static final String ID = "id";
    public static final String IDS = "ids";
    public static final String INGRESS_RULE = "ingressrule";
    public static final String INSTANCE = "instance";
    public static final String INSTANCE_GROUP = "instancegroup";
    public static final String INTERNAL_DNS1 = "internaldns1";
    public static final String INTERNAL_DNS2 = "internaldns2";
    public static final String INTERVAL_TYPE = "intervaltype";
    public static final String IP_ADDRESS = "ipaddress";
    public static final String IP_ADDRESS_ID = "ipaddressid";
    public static final String IP_AVAILABLE = "ipavailable";
    public static final String IP_FORWARDING_RULE = "ipforwardingrule";
    public static final String IP_LIMIT = "iplimit";
    public static final String IP_TOTAL = "iptotal";
    public static final String IS_CLEANUP_REQUIRED = "iscleanuprequired";
    public static final String IS_CUSTOMIZED = "iscustomized";
    public static final String IS_DEFAULT = "isdefault";
    public static final String IS_EXTRACTABLE = "isextractable";
    public static final String IS_FEATURED = "isfeatured";
    public static final String IS_PUBLIC = "ispublic";
    public static final String IS_READY = "isready";
    public static final String IS_RECURSIVE = "isrecursive";
    public static final String IS_SHARED = "isshared";
    public static final String IS_SOURCE_NAT = "issourcenat";
    public static final String IS_STATIC_NAT = "isstaticnat";
    public static final String IS_SYSTEM = "issystem";
    public static final String ISO_DISPLAY_TEXT = "isodisplaytext";
    public static final String ISO_FILTER = "isofilter";
    public static final String ISO_ID = "isoid";
    public static final String ISO_NAME = "isoname";
    public static final String ISOLATION_URI = "isolationuri";
    public static final String JOB_ID = "jobid";
    public static final String JOB_STATUS = "jobstatus";
    public static final String KEY = "key";
    public static final String KEY_PAIR = "keypair";
    public static final String KEYWORD = "keyword";
    public static final String LASTNAME = "lastname";
    public static final String LEVEL = "level";
    public static final String LIMIT_CPU_USE = "limitcpuuse";
    public static final String LINK_LOCAL_IP = "linklocalip";
    public static final String LINK_LOCAL_MAC_ADDRESS = "linklocalmacaddress";
    public static final String LINK_LOCAL_MAC_NETMASK = "linklocalnetmask";
    public static final String LINK_LOCAL_NETWORK_ID = "linklocalnetworkid";
    public static final String LINMIN_APID = "linminapid";
    public static final String LINMIN_PASSWORD = "linminpassword";
    public static final String LINMIN_USERNAME = "linminusername";
    public static final String LIST_ACCOUNTS = "listAccounts";
    public static final String LIST_ACCOUNTS_RESPONSE = "listaccountsresponse";
    public static final String LIST_ALL = "listall";
    public static final String LIST_CAPABILITIES = "listCapabilities";
    public static final String LIST_CAPABILITIES_RESPONSE = "listcapabilitiesresponse";
    public static final String LIST_DISK_OFFERINGS = "listDiskOfferings";
    public static final String LIST_DISK_OFFERINGS_RESPONSE = "listdiskofferingsresponse";
    public static final String LIST_EVENT_TYPES = "listEventTypes";
    public static final String LIST_EVENT_TYPES_RESPONSE = "listeventtypesresponse";
    public static final String LIST_EVENTS = "listEvents";
    public static final String LIST_EVENTS_RESPONSE = "listeventsresponse";
    public static final String LIST_HYPERVISORS = "listHypervisors";
    public static final String LIST_HYPERVISORS_RESPONSE = "listhypervisorsresponse";
    public static final String LIST_INSTANCE_GROUPS = "listInstanceGroups";
    public static final String LIST_INSTANCE_GROUPS_RESPONSE = "listinstancegroupsresponse";
    public static final String LIST_IP_FORWARDING_RULES = "listIpForwardingRules";
    public static final String LIST_IP_FORWARDING_RULES_RESPONSE = "listipforwardingrulesresponse";
    public static final String LIST_ISO_PERMISSIONS = "listIsoPermissions";
    public static final String LIST_ISO_PERMISSIONS_RESPONSE = "listisopermissionsresponse";
    public static final String LIST_ISOS = "listIsos";
    public static final String LIST_ISOS_RESPONSE = "listisosresponse";
    public static final String LIST_LOAD_BALANCER_RULE_INSTANCES = "listLoadBalancerRuleInstances";
    public static final String LIST_LOAD_BALANCER_RULE_INSTANCES_RESPONSE = "listloadbalancerruleinstancesresponse";
    public static final String LIST_LOAD_BALANCER_RULES = "listLoadBalancerRules";
    public static final String LIST_LOAD_BALANCER_RULES_RESPONSE = "listloadbalancerrulesresponse";
    public static final String LIST_NETWORK_OFFERINGS = "listNetworkOfferings";
    public static final String LIST_NETWORK_OFFERINGS_RESPONSE = "listnetworkofferingsresponse";
    public static final String LIST_NETWORKS = "listNetworks";
    public static final String LIST_NETWORKS_RESPONSE = "listnetworksresponse";
    public static final String LIST_OS_CATEGORIES = "listOsCategories";
    public static final String LIST_OS_CATEGORIES_RESPONSE = "listoscategoriesresponse";
    public static final String LIST_OS_TYPES = "listOsTypes";
    public static final String LIST_OS_TYPES_RESPONSE = "listostypesresponse";
    public static final String LIST_PORT_FORWARDING_RULES = "listPortForwardingRules";
    public static final String LIST_PORT_FORWARDING_RULES_RESPONSE = "listportforwardingrulesresponse";
    public static final String LIST_PUBLIC_IP_ADDRESSES = "listPublicIpAddresses";
    public static final String LIST_PUBLIC_IP_ADDRESSES_RESPONSE = "listpublicipaddressesresponse";
    public static final String LIST_RESOURCE_LIMITS = "listResourceLimits";
    public static final String LIST_RESOURCE_LIMITS_RESPONSE = "listresourcelimitsresponse";
    public static final String LIST_SECURITY_GROUPS = "listSecurityGroups";
    public static final String LIST_SECURITY_GROUPS_RESPONSE = "listsecuritygroupsresponse";
    public static final String LIST_SERVICE_OFFERINGS = "listServiceOfferings";
    public static final String LIST_SERVICE_OFFERINGS_RESPONSE = "listserviceofferingsresponse";
    public static final String LIST_SNAPSHOT_POLICIES = "listSnapshotPolicies";
    public static final String LIST_SNAPSHOT_POLICIES_RESPONSE = "listsnapshotpoliciesresponse";
    public static final String LIST_SNAPSHOTS = "listSnapshots";
    public static final String LIST_SNAPSHOTS_RESPONSE = "listsnapshotsresponse";
    public static final String LIST_SSH_KEY_PAIRS = "listSSHKeyPairs";
    public static final String LIST_SSH_KEY_PAIRS_RESPONSE = "listsshkeypairsresponse";
    public static final String LIST_TEMPLATE_PERMISSIONS = "listTemplatePermissions";
    public static final String LIST_TAGS = "listTags";
    public static final String LIST_TAGS_RESPONSE = "listtagsresponse";
    public static final String LIST_TEMPLATE_PERMISSIONS_RESPONSE = "listtemplatepermissionsresponse";
    public static final String LIST_TEMPLATES = "listTemplates";
    public static final String LIST_TEMPLATES_RESPONSE = "listtemplatesresponse";
    public static final String LIST_VIRTUAL_MACHINES = "listVirtualMachines";
    public static final String LIST_VIRTUAL_MACHINES_RESPONSE = "listvirtualmachinesresponse";
    public static final String LIST_VOLUMES = "listVolumes";
    public static final String LIST_VOLUMES_RESPONSE = "listvolumesresponse";
    public static final String LIST_ZONES = "listZones";
    public static final String LIST_ZONES_RESPONSE = "listzonesresponse";
    public static final String LOAD_BALANCER = "loadbalancer";
    public static final String LOCK = "lock";
    public static final String LUN = "lun";
    public static final String MAC_ADDRESS = "macaddress";
    public static final String MAX = "max";
    public static final String MAX_CONNECTIONS = "maxconnections";
    public static final String MAX_SNAPS = "maxsnaps";
    public static final String MEMORY = "memory";
    public static final String MODE = "mode";
    public static final String NAME = "name";
    public static final String NETMASK = "netmask";
    public static final String NETWORK = "network";
    public static final String NETWORK_DOMAIN = "networkdomain";
    public static final String NETWORK_ID = "networkid";
    public static final String NETWORK_IDS = "networkids";
	public static final String NETWORK_KBS_READ = "networkkbsread";
	public static final String NETWORK_KBS_WRITE = "networkkbswrite";
	public static final String NETWORK_OFFERING = "networkoffering";
	public static final String NETWORK_OFFERING_AVAILABILITY = "networkofferingavailability";
	public static final String NETWORK_OFFERING_DISPLAY_TEXT = "networkofferingdisplaytext";
	public static final String NETWORK_OFFERING_ID = "networkofferingid";
	public static final String NETWORK_OFFERING_NAME = "networkofferingname";
	public static final String NETWORK_TYPE = "networktype";
	public static final String NETWORKRATE = "networkrate";
	public static final String NEW_NAME = "newname";
	public static final String NIC = "nic";
	public static final String NUM_RETRIES = "numretries";
	public static final String OFFER_HA = "offerha";
	public static final String OP = "op";
	public static final String OS_CATEGORY = "oscategory";
	public static final String OS_CATEGORY_ID = "oscategoryid";
	public static final String OS_TYPE = "ostype";
	public static final String OS_TYPE_ID = "ostypeid";
	public static final String OS_TYPE_NAME = "ostypename";
	public static final String PAGE = "page";
	public static final String PAGE_SIZE = "pagesize";
	public static final String PARENT_DOMAIN_ID = "parentdomainid";
	public static final String PARENT_ID = "parentid";
	public static final String PASSWORD = "password";
	public static final String PASSWORD_ENABLED = "passwordenabled";
	public static final String PATH = "path";
	public static final String POD_ID = "podid";
	public static final String POLICY_ID = "policyid";
	public static final String PORT_FORWARDING_RULE = "portforwardingrule";
	public static final String PORT_FORWARDING_SERVICE_ID = "portforwardingserviceid";
	public static final String PORTAL = "portal";
	public static final String PRIVATE_END_PORT = "privateendport";
	public static final String PRIVATE_INTERFACE = "privateinterface";
	public static final String PRIVATE_IP = "privateip";
	public static final String PRIVATE_KEY = "privatekey";
	public static final String PRIVATE_MAC_ADDRESS = "privatemacaddress";
	public static final String PRIVATE_NETMASK = "privatenetmask";
	public static final String PRIVATE_NETWORK_ID = "privatenetworkid";
	public static final String PRIVATE_PORT = "privateport";
	public static final String PRIVATE_ZONE = "privatezone";
	public static final String PROTOCOL = "protocol";
	public static final String PUBLIC_END_PORT = "publicendport";
	public static final String PUBLIC_INTERFACE = "publicinterface";
	public static final String PUBLIC_IP = "publicip";
	public static final String PUBLIC_IP_ADDRESS = "publicipaddress";
	public static final String PUBLIC_IP_ID = "publicipid";
	public static final String PUBLIC_KEY = "publickey";
	public static final String PUBLIC_PORT = "publicport";
	public static final String PUBLIC_ZONE = "publiczone";
	public static final String PXE_SERVER_TYPE = "pxeservertype";
	public static final String REBOOT_VIRTUAL_MACHINE = "rebootVirtualMachine";
	public static final String REBOOT_VIRTUAL_MACHINE_RESPONSE = "rebootvirtualmachineresponse";
	public static final String RECEIVED_BYTES = "receivedbytes";
	public static final String REGISTER_ISO = "registerIso";
	public static final String REGISTER_ISO_RESPONSE = "registerisoresponse";
	public static final String REGISTER_SSH_KEY_PAIR = "registerSSHKeyPair";
	public static final String REGISTER_SSH_KEY_PAIR_RESPONSE = "registersshkeypairresponse";
	public static final String REGISTER_TEMPLATE = "registerTemplate";
	public static final String REGISTER_TEMPLATE_RESPONSE = "registertemplateresponse";
	public static final String RELATED = "related";
	public static final String REMOVE_FROM_LOAD_BALANCER_RULE = "removeFromLoadBalancerRule";
	public static final String REMOVE_FROM_LOAD_BALANCER_RULE_RESPONSE = "removefromloadbalancerruleresponse";
	public static final String REMOVED = "removed";
	public static final String REQUIRES_HVM = "requireshvm";
	public static final String RESET_PASSWORD_FOR_VIRTUAL_MACHINE = "resetPasswordForVirtualMachine";
	public static final String RESET_PASSWORD_FOR_VIRTUAL_MACHINE_RESPONSE = "resetpasswordforvirtualmachineresponse";
    public static final String RESOURCE_ID = "resourceid";
    public static final String RESOURCE_IDS = "resourceIds";
	public static final String RESOURCE_LIMIT = "resourcelimit";
	public static final String RESOURCE_TYPE = "resourcetype";
	public static final String RESTART_NETWORK = "restartNetwork";
	public static final String RESTART_NETWORK_RESPONSE = "restartnetworkresponse";
	public static final String REVOKE_SECURITY_GROUP_INGRESS = "revokeSecurityGroupIngress";
	public static final String REVOKE_SECURITY_GROUP_INGRESS_RESPONSE = "revokesecuritygroupingress";
	public static final String ROOT_DEVICE_ID = "rootdeviceid";
	public static final String ROOT_DEVICE_TYPE = "rootdevicetype";
	public static final String RULE_ID = "ruleid";
	public static final String SCHEDULE = "schedule";
	public static final String SCOPE = "scope";
	public static final String SECRET_KEY = "secretkey";
	public static final String SECURITY_GROUP = "securitygroup";
	public static final String SECURITY_GROUP_ENABLED = "securitygroupenabled";
	public static final String SECURITY_GROUP_ID = "securitygroupid";
	public static final String SECURITY_GROUP_IDS = "securitygroupids";
	public static final String SECURITY_GROUP_NAME = "securitygroupname";
	public static final String SECURITY_GROUP_NAMES = "securitygroupnames";
	public static final String SECURITY_GROUPS_ENABLED = "securitygroupsenabled";
	public static final String SENT = "sent";
	public static final String SENT_BYTES = "sentbytes";
	public static final String SERVICE = "service";
	public static final String SERVICE_OFFERING = "serviceoffering";
	public static final String SERVICE_OFFERING_DISPLAY_TEXT = "serviceofferingdisplaytext";
	public static final String SERVICE_OFFERING_ID = "serviceofferingid";
	public static final String SERVICE_OFFERING_NAME = "serviceofferingname";
	public static final String SIGNATURE = "signature";
	public static final String SIZE = "size";
	public static final String SNAPSHOT = "snapshot";
	public static final String SNAPSHOT_AVAILABLE = "snapshotavailable";
	public static final String SNAPSHOT_ID = "snapshotid";
	public static final String SNAPSHOT_LIMIT = "snapshotlimit";
	public static final String SNAPSHOT_POLICY_ID = "snapshotpolicyid";
	public static final String SNAPSHOT_TOTAL = "snapshottotal";
	public static final String SNAPSHOT_TYPE = "snapshottype";
	public static final String SOURCE_TEMPLATE_ID = "sourcetemplateid";
	public static final String SOURCE_ZONE_ID = "sourcezoneid";
	public static final String SPECIFY_VLAN = "specifyvlan";
	public static final String SSH_KEYPAIR = "keypair";
	public static final String START_DATE = "startdate";
	public static final String START_IP = "startip";
	public static final String START_PORT = "startport";
	public static final String START_VIRTUAL_MACHINE = "startVirtualMachine";
	public static final String START_VIRTUAL_MACHINE_RESPONSE = "startvirtualmachineresponse";
	public static final String STATE = "state";
	public static final String STATUS = "status";
	public static final String STOP_VIRTUAL_MACHINE = "stopVirtualMachine";
	public static final String STOP_VIRTUAL_MACHINE_RESPONSE = "stopvirtualmachineresponse";
	public static final String STORAGE = "storage";
	public static final String STORAGE_ID="storageid";
	public static final String STORAGE_TYPE = "storagetype";
	public static final String SUCCESS = "success";
	public static final String SYSTEM_VM_TYPE = "systemvmtype";
    public static final String TAG = "tag";
	public static final String TAGS = "tags";
	public static final String TARGET_IQN = "targetiqn";
	public static final String TEMPLATE = "template";
	public static final String TEMPLATE_AVAILABLE = "templateavailable";
	public static final String TEMPLATE_DISPLAY_TEXT = "templatedisplaytext";
	public static final String TEMPLATE_FILTER = "templatefilter";
	public static final String TEMPLATE_ID = "templateid";
	public static final String TEMPLATE_LIMIT = "templatelimit";
	public static final String TEMPLATE_NAME = "templatename";
	public static final String TEMPLATE_PERMISSION = "templatepermission";
	public static final String TEMPLATE_TOTAL = "templatetotal";
	public static final String TEMPLATE_TYPE = "templatetype";
	public static final String TIMEOUT = "timeout";
	public static final String TIMEZONE = "timezone";
	public static final String TRAFFIC_TYPE = "traffictype";
	public static final String TYPE = "type";
	public static final String UPDATE_INSTANCE_GROUP = "updateInstanceGroup";
	public static final String UPDATE_INSTANCE_GROUP_RESPONSE = "updateinstancegroupresponse";
	public static final String UPDATE_ISO = "updateIso";
	public static final String UPDATE_ISO_PERMISSIONS = "updateIsoPermissions";
	public static final String UPDATE_ISO_PERMISSIONS_RESPONSE = "updateisopermissionsresponse";
	public static final String UPDATE_ISO_RESPONSE = "updateisoresponse";
	public static final String UPDATE_LOAD_BALANCER_RULE = "updateLoadBalancerRule";
	public static final String UPDATE_LOAD_BALANCER_RULE_RESPONSE = "updateloadbalancerruleresponse";
	public static final String UPDATE_NETWORK = "updateNetwork";
	public static final String UPDATE_NETWORK_RESPONSE = "updatenetworkresponse";
	public static final String UPDATE_TEMPLATE = "updateTemplate";
	public static final String UPDATE_TEMPLATE_PERMISSIONS = "updateTemplatePermissions";
	public static final String UPDATE_TEMPLATE_PERMISSIONS_RESPONSE = "updatetemplatepermissionsresponse";
	public static final String UPDATE_TEMPLATE_RESPONSE = "updatetemplateresponse";
	public static final String UPDATE_VIRTUAL_MACHINE = "updateVirtualMachine";
	public static final String UPDATE_VIRTUAL_MACHINE_RESPONSE = "updatevirtualmachineresponse";
	public static final String UPLOAD_PERCENTAGE = "uploadpercentage";
	public static final String URL = "url";
	public static final String USAGE_INTERFACE = "usageinterface";
	public static final String USE_VIRTUAL_NETWORK = "usevirtualnetwork";
	public static final String USER = "user";
	public static final String USER_DATA = "userdata";
	public static final String USER_ID = "userid";
	public static final String USER_PUBLIC_TEMPLATE_ENABLED = "userpublictemplateenabled";
	public static final String USER_SECURITY_GROUP_LIST = "usersecuritygrouplist";
	public static final String USERNAME = "username";
	public static final String VALUE = "value";
	public static final String VIRTUAL_MACHINE = "virtualmachine";
	public static final String VIRTUAL_MACHINE_DISPLAY_NAME = "virtualmachinedisplayname";
	public static final String VIRTUAL_MACHINE_ID = "virtualmachineid";
	public static final String VIRTUAL_MACHINE_IDS = "virtualmachineids";
	public static final String VIRTUAL_MACHINE_NAME = "virtualmachinename";
	public static final String VLAN = "vlan";
	public static final String VLAN_ID = "vlanid";
	public static final String VLAN_NAME = "vlanname";
	public static final String VM_AVAILABLE = "vmavailable";
	public static final String VM_DISPLAY_NAME = "vmdisplayname";
	public static final String VM_LIMIT = "vmlimit";
	public static final String VM_NAME = "vmname";
	public static final String VM_RUNNING = "vmrunning";
	public static final String VM_STATE = "vmstate";
	public static final String VM_STOPPED = "vmstopped";
	public static final String VM_TOTAL = "vmtotal";
	public static final String VNET = "vnet";
	public static final String VOLUME = "volume";
	public static final String VOLUME_AVAILABLE = "volumeavailable";
	public static final String VOLUME_ID = "volumeid";
	public static final String VOLUME_LIMIT = "volumelimit";
	public static final String VOLUME_NAME = "volumename";
	public static final String VOLUME_TOTAL = "volumetotal";
	public static final String VOLUME_TYPE = "volumetype";
	public static final String ZONE = "zone";
	public static final String ZONE_ID = "zoneid";
	public static final String ZONE_NAME = "zonename";
	public static final String ZONE_TOKEN = "zonetoken";
	
}
